<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_pbconcertlist_domain_model_concert'] = array(
	'ctrl' => $TCA['tx_pbconcertlist_domain_model_concert']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, title, date, location, address, description, privateconcert, mark_as_new_until, url',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, title, date, location, address, description, privateconcert, mark_as_new_until, url,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access,starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_pbconcertlist_domain_model_concert',
				'foreign_table_where' => 'AND tx_pbconcertlist_domain_model_concert.pid=###CURRENT_PID### AND tx_pbconcertlist_domain_model_concert.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),
		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'title' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.title',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'date' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.date',
			'config' => array(
				'type' => 'input',
				'size' => 7,
				'eval' => 'date,required',
				'checkbox' => 1,
				'default' => time()
			),
		),
		'location' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.location',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'address' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.address',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
		),
		'description' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.description',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
		),
		'privateconcert' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.privateconcert',
			'config' => array(
				'type' => 'check',
			),
		),
		'mark_as_new_until' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.mark_as_new_until',
			'config' => array(
				'type' => 'input',
				'size' => 7,
				'eval' => 'date',
				'checkbox' => 1,
				'default' => time()
			),
		),
		'url' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert.url',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_pbconcertlist_domain_model_url',
				'foreign_field' => 'concert',
				
				'foreign_sortby' => 'sorting',
				
				'maxitems'      => 9999,
				'appearance' => array(
					'collapseAll' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
	),
);

?>