<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Fepluginconcertlist',
	'Konzertliste'
);

t3lib_extMgm::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Concertlist');

t3lib_extMgm::addLLrefForTCAdescr('tx_pbconcertlist_domain_model_concert', 'EXT:pb_concertlist/Resources/Private/Language/locallang_csh_tx_pbconcertlist_domain_model_concert.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_pbconcertlist_domain_model_concert');
$TCA['tx_pbconcertlist_domain_model_concert'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_concert',
		'label' => 'title',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		
		// 'sortby' => 'sorting',
		'default_sortby' => 'ORDER BY date DESC',
		
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'title,date,location,address,description,mark_as_new_until,url,',
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Concert.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_pbconcertlist_domain_model_concert.png'
	),
);

t3lib_extMgm::addLLrefForTCAdescr('tx_pbconcertlist_domain_model_url', 'EXT:pb_concertlist/Resources/Private/Language/locallang_csh_tx_pbconcertlist_domain_model_url.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_pbconcertlist_domain_model_url');
$TCA['tx_pbconcertlist_domain_model_url'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:pb_concertlist/Resources/Private/Language/locallang_db.xml:tx_pbconcertlist_domain_model_url',
		'label' => 'url',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		
		'sortby' => 'sorting',
		
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'url,',
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Url.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_pbconcertlist_domain_model_url.gif'
	),
);

// Folder icon
$TCA['pages']['columns']['module']['config']['items'][] =
	array('Concertlist', 'pbclist', t3lib_extMgm::extRelPath($_EXTKEY).'ext_icon.png');
// t3lib_SpriteManager::addTcaTypeIcon('pages', 'contains-pbclist', '../typo3conf/ext/pb_concertlist/Resources/Public/Icons/typo3-folder-icon.png');
TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-pbclist', '../typo3conf/ext/pb_concertlist/Resources/Public/Icons/typo3-folder-icon.png');

// Flexform
$pluginSignature	= 'pbconcertlist_fepluginconcertlist';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue(
	$pluginSignature,
	'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform.xml'
);


// Plugin
if (TYPO3_MODE == 'BE') {
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_pbconcertlist_wizicon'] = t3lib_extMgm::extPath($_EXTKEY).'Configuration/Wizicons/class.tx_pbconcertlist_wizicon.php';
}

?>