<?php

/*                                                                        *
 * This script is part of the TYPO3 project - inspiring people to share!  *
 *                                                                        *
 * TYPO3 is free software; you can redistribute it and/or modify it under *
 * the terms of the GNU General Public License version 2 as published by  *
 * the Free Software Foundation.                                          *
 *                                                                        *
 * This script is distributed in the hope that it will be useful, but     *
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHAN-    *
 * TABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General      *
 * Public License for more details.                                       *
 *                                                                        */

/**
 *
 * @scope prototype
 */
class Tx_PbConcertlist_ViewHelpers_IsOverViewHelper extends Tx_Fluid_Core_ViewHelper_AbstractViewHelper {

	/**
	 * True or False, if the concert is over or not
	 *
	 * @param object $date The date until the concert is marked as new
	 * @return bool
	 */
	public function render($concertdate) {

		if(isset($concertdate)){
			if(date('Ymd') > $concertdate->format('Ymd')){
				return true;
			}			
		}
		return false;
	
	}

}
?>